Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.parser.antlr.internal
Class InternalAParParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
                  org.eclipse.amp.amf.parameters.parser.antlr.internal.InternalAParParser

    public class InternalAParParser

extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

Field Summary
`static int` | `EOF`
`static org.antlr.runtime.BitSet` | `FOLLOW_14_in_ruleModel143`
`static org.antlr.runtime.BitSet` | `FOLLOW_15_in_ruleModel175`
`static org.antlr.runtime.BitSet` | `FOLLOW_16_in_ruleParameter501`
`static org.antlr.runtime.BitSet` | `FOLLOW_17_in_ruleBOOLEAN1106`
`static org.antlr.runtime.BitSet` | `FOLLOW_18_in_ruleBOOLEAN1121`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleBooleanValue1014`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleImport266`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleIncorporates357`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleIntValue741`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleModel85`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleParameter448`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleRealValue832`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleStringValue923`
`static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_entryRuleValue568`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_ID_in_ruleParameter491`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_INTEGER_in_ruleIntValue782`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_REAL_in_ruleRealValue873`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_STRING_in_ruleImport307`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_STRING_in_ruleIncorporates398`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_STRING_in_ruleModel127`
`static org.antlr.runtime.BitSet` | `FOLLOW_RULE_STRING_in_ruleStringValue964`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1059`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1004`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleBooleanValue_in_ruleValue696`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleImport_in_entryRuleImport256`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleImport_in_ruleModel164`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleIncorporates_in_entryRuleIncorporates347`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleIncorporates_in_ruleModel196`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleIntValue_in_entryRuleIntValue731`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleIntValue_in_ruleValue615`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleModel_in_entryRuleModel75`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleParameter_in_entryRuleParameter438`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleParameter_in_ruleModel219`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleRealValue_in_entryRuleRealValue822`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleRealValue_in_ruleValue669`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleStringValue_in_entryRuleStringValue913`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleStringValue_in_ruleValue642`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleValue_in_entryRuleValue558`
`static org.antlr.runtime.BitSet` | `FOLLOW_ruleValue_in_ruleParameter522`
`static int` | `RULE_ANY_OTHER`
`static int` | `RULE_DESC_STRING`
`static int` | `RULE_ID`
`static int` | `RULE_INT`
`static int` | `RULE_INTEGER`
`static int` | `RULE_ML_COMMENT`
`static int` | `RULE_REAL`
`static int` | `RULE_SL_COMMENT`
`static int` | `RULE_STRING`
`static int` | `RULE_WS`
`static java.lang.String[]` | `tokenNames`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

Constructor Summary
`InternalAParParser(org.antlr.runtime.TokenStream input)`
`InternalAParParser(org.antlr.runtime.TokenStream input, org.eclipse.xtext.parser.IAstFactory factory, AParGrammarAccess grammarAccess)`

Method Summary
`org.eclipse.emf.ecore.EObject` | `entryRuleBooleanValue()`
`org.eclipse.emf.ecore.EObject` | `entryRuleImport()`
`org.eclipse.emf.ecore.EObject` | `entryRuleIncorporates()`
`org.eclipse.emf.ecore.EObject` | `entryRuleIntValue()`
`org.eclipse.emf.ecore.EObject` | `entryRuleModel()`
`org.eclipse.emf.ecore.EObject` | `entryRuleParameter()`
`org.eclipse.emf.ecore.EObject` | `entryRuleRealValue()`
`org.eclipse.emf.ecore.EObject` | `entryRuleStringValue()`
`org.eclipse.emf.ecore.EObject` | `entryRuleValue()`
`java.lang.String` | `getGrammarFileName()`
`java.lang.String[]` | `getTokenNames()`
`org.eclipse.emf.common.util.Enumerator` | `ruleBOOLEAN()`
`org.eclipse.emf.ecore.EObject` | `ruleBooleanValue()`
`org.eclipse.emf.ecore.EObject` | `ruleImport()`
`org.eclipse.emf.ecore.EObject` | `ruleIncorporates()`
`org.eclipse.emf.ecore.EObject` | `ruleIntValue()`
`org.eclipse.emf.ecore.EObject` | `ruleModel()`
`org.eclipse.emf.ecore.EObject` | `ruleParameter()`
`org.eclipse.emf.ecore.EObject` | `ruleRealValue()`
`org.eclipse.emf.ecore.EObject` | `ruleStringValue()`
`org.eclipse.emf.ecore.EObject` | `ruleValue()`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
`displayRecognitionError, emitErrorMessage, getErrorMessage, getInput, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, match, parse, parse, recover, recoverFromMismatchedToken, reportError, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper`

Methods inherited from class org.antlr.runtime.Parser
`getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, consumeUntil, consumeUntil, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, matchAny, memoize, recoverFromMismatchedSet, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final java.lang.String[] tokenNames

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### FOLLOW_ruleModel_in_entryRuleModel75

    public static final org.antlr.runtime.BitSet FOLLOW_ruleModel_in_entryRuleModel75

### FOLLOW_EOF_in_entryRuleModel85

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleModel85

### FOLLOW_RULE_STRING_in_ruleModel127

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleModel127

### FOLLOW_14_in_ruleModel143

    public static final org.antlr.runtime.BitSet FOLLOW_14_in_ruleModel143

### FOLLOW_ruleImport_in_ruleModel164

    public static final org.antlr.runtime.BitSet FOLLOW_ruleImport_in_ruleModel164

### FOLLOW_15_in_ruleModel175

    public static final org.antlr.runtime.BitSet FOLLOW_15_in_ruleModel175

### FOLLOW_ruleIncorporates_in_ruleModel196

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIncorporates_in_ruleModel196

### FOLLOW_ruleParameter_in_ruleModel219

    public static final org.antlr.runtime.BitSet FOLLOW_ruleParameter_in_ruleModel219

### FOLLOW_ruleImport_in_entryRuleImport256

    public static final org.antlr.runtime.BitSet FOLLOW_ruleImport_in_entryRuleImport256

### FOLLOW_EOF_in_entryRuleImport266

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleImport266

### FOLLOW_RULE_STRING_in_ruleImport307

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleImport307

### FOLLOW_ruleIncorporates_in_entryRuleIncorporates347

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIncorporates_in_entryRuleIncorporates347

### FOLLOW_EOF_in_entryRuleIncorporates357

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleIncorporates357

### FOLLOW_RULE_STRING_in_ruleIncorporates398

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleIncorporates398

### FOLLOW_ruleParameter_in_entryRuleParameter438

    public static final org.antlr.runtime.BitSet FOLLOW_ruleParameter_in_entryRuleParameter438

### FOLLOW_EOF_in_entryRuleParameter448

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleParameter448

### FOLLOW_RULE_ID_in_ruleParameter491

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_ID_in_ruleParameter491

### FOLLOW_16_in_ruleParameter501

    public static final org.antlr.runtime.BitSet FOLLOW_16_in_ruleParameter501

### FOLLOW_ruleValue_in_ruleParameter522

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_ruleParameter522

### FOLLOW_ruleValue_in_entryRuleValue558

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_entryRuleValue558

### FOLLOW_EOF_in_entryRuleValue568

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleValue568

### FOLLOW_ruleIntValue_in_ruleValue615

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_ruleValue615

### FOLLOW_ruleStringValue_in_ruleValue642

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_ruleValue642

### FOLLOW_ruleRealValue_in_ruleValue669

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_ruleValue669

### FOLLOW_ruleBooleanValue_in_ruleValue696

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_ruleValue696

### FOLLOW_ruleIntValue_in_entryRuleIntValue731

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_entryRuleIntValue731

### FOLLOW_EOF_in_entryRuleIntValue741

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleIntValue741

### FOLLOW_RULE_INTEGER_in_ruleIntValue782

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_INTEGER_in_ruleIntValue782

### FOLLOW_ruleRealValue_in_entryRuleRealValue822

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_entryRuleRealValue822

### FOLLOW_EOF_in_entryRuleRealValue832

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleRealValue832

### FOLLOW_RULE_REAL_in_ruleRealValue873

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_REAL_in_ruleRealValue873

### FOLLOW_ruleStringValue_in_entryRuleStringValue913

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_entryRuleStringValue913

### FOLLOW_EOF_in_entryRuleStringValue923

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleStringValue923

### FOLLOW_RULE_STRING_in_ruleStringValue964

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleStringValue964

### FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1004

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1004

### FOLLOW_EOF_in_entryRuleBooleanValue1014

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleBooleanValue1014

### FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1059

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1059

### FOLLOW_17_in_ruleBOOLEAN1106

    public static final org.antlr.runtime.BitSet FOLLOW_17_in_ruleBOOLEAN1106

### FOLLOW_18_in_ruleBOOLEAN1121

    public static final org.antlr.runtime.BitSet FOLLOW_18_in_ruleBOOLEAN1121

Constructor Detail

### InternalAParParser

    public InternalAParParser(org.antlr.runtime.TokenStream input)

### InternalAParParser

    public InternalAParParser(org.antlr.runtime.TokenStream input,
                              org.eclipse.xtext.parser.IAstFactory factory,
                              AParGrammarAccess grammarAccess)

Method Detail

### getTokenNames

    public java.lang.String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### entryRuleModel

    public final org.eclipse.emf.ecore.EObject entryRuleModel()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleModel

    public final org.eclipse.emf.ecore.EObject ruleModel()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleImport

    public final org.eclipse.emf.ecore.EObject entryRuleImport()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleImport

    public final org.eclipse.emf.ecore.EObject ruleImport()
                                                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleIncorporates

    public final org.eclipse.emf.ecore.EObject entryRuleIncorporates()
                                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleIncorporates

    public final org.eclipse.emf.ecore.EObject ruleIncorporates()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleParameter

    public final org.eclipse.emf.ecore.EObject entryRuleParameter()
                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleParameter

    public final org.eclipse.emf.ecore.EObject ruleParameter()
                                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleValue

    public final org.eclipse.emf.ecore.EObject entryRuleValue()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleValue

    public final org.eclipse.emf.ecore.EObject ruleValue()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleIntValue

    public final org.eclipse.emf.ecore.EObject entryRuleIntValue()
                                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleIntValue

    public final org.eclipse.emf.ecore.EObject ruleIntValue()
                                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleRealValue

    public final org.eclipse.emf.ecore.EObject entryRuleRealValue()
                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleRealValue

    public final org.eclipse.emf.ecore.EObject ruleRealValue()
                                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleStringValue

    public final org.eclipse.emf.ecore.EObject entryRuleStringValue()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleStringValue

    public final org.eclipse.emf.ecore.EObject ruleStringValue()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleBooleanValue

    public final org.eclipse.emf.ecore.EObject entryRuleBooleanValue()
                                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBooleanValue

    public final org.eclipse.emf.ecore.EObject ruleBooleanValue()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBOOLEAN

    public final org.eclipse.emf.common.util.Enumerator ruleBOOLEAN()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD